Subject: bug#45238: The section [[info:guix#Invoking guix package]] contradicts itself

From: "Jorge P. de Morais Neto" <[email-masked]>
Date: Mon, 14 Dec 2020 14:06:30 -0300

Hi.  The last paragraph of [[info:guix#Invoking guix package]] says:

    However, note that package transformations are lost when upgrading;
    to preserve transformations across upgrades, you should define your
    own package variant in a Guile module and add it to
    ‘GUIX_PACKAGE_PATH’ (*note Defining Packages::).

This contradicts the earlier information, in the same section, about
`guix package -u':

    When upgrading, package transformations that were originally applied
    when creating the profile are automatically re-applied (*note Package
    Transformation Options::).

Regards

-- 
- <https://jorgemorais.gitlab.io/justice-for-rms/>
- If an email of mine arrives at your spam box, please notify me.
- Please adopt free/libre formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
- [[https://www.gnu.org/philosophy/free-sw.html][What is free software?]]